menu

Home

search

API Playground

Introduction

This interactive environment allows you to test Ambee APIs live, giving you hands-on experience with our data offerings. Before you begin, ensure you have an API key. To know more about API Keys, please visit the API keys section.

Explore endpoints

Our endpoints section details all available endpoints. The documentation for each endpoint includes the required parameters and the response structure you can expect.

GET
https://api.ambeedata.com/disasters/processed/latest/by-continent
HEADERS
requiredvisibility
Signup/login on API dashboard and copy your API key from the home page. Learn more if you have any doubts.
Response can be modified as per your language choice.
PARAMETERS
The continent value should be AFR, ANT, ASIA, AUS, EUR, NAR, SAR or Ocean.
Event Type refers to the type of event to be queried. For the supported event types, refer to the List of supported events section.
Specifies the number of records to be returned
Specifies the page number of the results to be returned. The default value is 1, which retrieves the first page.
Response
Request
RESPONSE CODE
{ "message": "success", "hasNextPage": true, "page": 1, "limit": 10, "result": [ { "event_type": "WF", "alert_level": "Green", "city": "Newhall", "continent": "nar", "created_time": "2026-09-10 10:35:49", "date": "2026-09-10 10:04:00", "details": { "affected": null, "burned_area": null, "death": null, "description": null, "fire_category": "N", "frp": 3.22, "impact": null, "injured": null, "percentage_contained": null, "fwi": 52.8015 }, "end_date": null, "estimated_end_date": "2026-09-12 10:04:00", "event_id": "23ec882e0609893d7ae26fda8e423465", "event_name": "Satellite Fire Incident", "expiry_time": "2026-09-11 10:04:00", "lat": 34.3354170257105, "source_event_id": "Satellite Fire Incident_34.335_-118.517", "state": "California", "lng": -118.51678 } ] }

Was this page helpful?
happy-emoji

Yes

sad-emoji

No